更新智能体工作流绑定¶
更新绑定的工作流、节点、模板或输入输出映射。
PATCH https://moi.matrixorigin.cn/newmoi/workspaces/{workspace_id}/agent-workflow-bindings/{binding_id}
调用前准备¶
请求体¶
curl -X PATCH "https://moi.matrixorigin.cn/newmoi/workspaces/$WORKSPACE_ID/agent-workflow-bindings/$BINDING_ID" -H "X-API-Key: $AI_STUDIO_API_KEY" -H "X-Workspace-ID: $WORKSPACE_ID" -H 'Content-Type: application/json' -d '{"input_mapping":{"document":"$.content"}}'
参数 |
类型 |
是否必填 |
说明 |
|---|---|---|---|
|
string |
否 |
工作流 ID。 |
|
string |
否 |
工作流版本 ID。 |
|
string |
否 |
工作流节点 ID。 |
|
string |
否 |
智能体任务模板 ID。 |
|
object |
否 |
输入映射。 |
|
object |
否 |
输出映射。 |
|
object |
否 |
失败处理映射。 |
|
string |
否 |
绑定状态。 |
|
object |
否 |
标签键值对。 |
|
object |
否 |
注解键值对。 |
成功响应¶
{"code": 0, "data": {"id": "binding_01", "input_mapping": {"document": "$.content"}}}
成功时返回 200 和更新后的绑定。
响应字段如下。
字段 |
类型 |
说明 |
|---|---|---|
|
integer |
成功时为 |
字段 |
类型 |
说明 |
|---|---|---|
|
string |
绑定 ID。 |
|
object |
更新后的输入映射。 |
错误响应¶
{"code": 5, "message": "agent workflow binding not found"}
常见 HTTP 错误
字段 |
类型 |
说明 |
|---|---|---|
|
|
**常见原因:**请求体无效。**建议操作:**检查要更新的字段。 |
|
|
**常见原因:**绑定不存在。**建议操作:**核对绑定 ID。 |
最后更新于